Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class TupleExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.TupleExpression

Direct Known Subclasses:
  ArgumentListExpression

    public class TupleExpression

extends Expression

Represents a tuple expression {1, 2, 3} which creates an immutable List

Version:
  $Revision: 6829 $
Author:
  James Strachan

Constructor Summary
`TupleExpression()`
`TupleExpression(Expression expr)`
`TupleExpression(Expression[] expressionArray)`
`TupleExpression(Expression expr1, Expression expr2)`
`TupleExpression(Expression expr1, Expression expr2, Expression expr3)`
`TupleExpression(int length)`
`TupleExpression(List expressions)`

Method Summary
`TupleExpression` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`String` | `getText()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TupleExpression

    public TupleExpression()

### TupleExpression

    public TupleExpression(Expression expr)

### TupleExpression

    public TupleExpression(Expression expr1,
                           Expression expr2)

### TupleExpression

    public TupleExpression(Expression expr1,
                           Expression expr2,
                           Expression expr3)

### TupleExpression

    public TupleExpression(int length)

### TupleExpression

    public TupleExpression(List expressions)

### TupleExpression

    public TupleExpression(Expression[] expressionArray)

Method Detail

### addExpression

    public TupleExpression addExpression(Expression expression)

### getExpressions

    public List getExpressions()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getExpression

    public Expression getExpression(int i)

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD